import request from '@/utils/request'

// 查询货道信息列表
export function listSpaceInfo(query) {
  return request({
    url: '/base/spaceInfo/list',
    method: 'get',
    params: query
  })
}

// 查询货道信息详细
export function getSpaceInfo(objId) {
  return request({
    url: '/base/spaceInfo/' + objId,
    method: 'get'
  })
}

// 新增货道信息
export function addSpaceInfo(data) {
  return request({
    url: '/base/spaceInfo',
    method: 'post',
    data: data
  })
}

// 修改货道信息
export function updateSpaceInfo(data) {
  return request({
    url: '/base/spaceInfo',
    method: 'put',
    data: data
  })
}

// 删除货道信息
export function delSpaceInfo(objId) {
  return request({
    url: '/base/spaceInfo/' + objId,
    method: 'delete'
  })
}
